<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>seg_protocol</name>
    <title>SEG Protocol</title>
    <filename>seg_protocol</filename>
    <docanchor file="seg_protocol" title="Message Types">seg_protocol_messages</docanchor>
    <docanchor file="seg_protocol" title="001 - Job State Change">seg_protocol_001</docanchor>
  </compound>
  <compound kind="group">
    <name>seg_api</name>
    <title>Scheduler Implementation API</title>
    <filename>group__seg__api.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>globus_scheduler_event_generator_error_t</name>
      <anchorfile>group__seg__api.html</anchorfile>
      <anchor>gaa29c1cfa33861c949e2dc997cd6dc810</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_SEG_ERROR_TYPE_NULL</name>
      <anchorfile>group__seg__api.html</anchorfile>
      <anchor>ggaa29c1cfa33861c949e2dc997cd6dc810ad7fb6af0c7d525f25e9059bb17623fb3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_SEG_ERROR_TYPE_ALREADY_SET</name>
      <anchorfile>group__seg__api.html</anchorfile>
      <anchor>ggaa29c1cfa33861c949e2dc997cd6dc810a6e15f7acfd057d6dd51645ccfd4f3ae2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_SEG_ERROR_TYPE_INVALID_MODULE</name>
      <anchorfile>group__seg__api.html</anchorfile>
      <anchor>ggaa29c1cfa33861c949e2dc997cd6dc810a181db7ccb5306e14c34bf7eff0bc459f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_SEG_ERROR_TYPE_INVALID_FORMAT</name>
      <anchorfile>group__seg__api.html</anchorfile>
      <anchor>ggaa29c1cfa33861c949e2dc997cd6dc810ab68b22a908c4aeff7e8436bfff39be0b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_SEG_ERROR_TYPE_OUT_OF_MEMORY</name>
      <anchorfile>group__seg__api.html</anchorfile>
      <anchor>ggaa29c1cfa33861c949e2dc997cd6dc810a6bdccb8e7b619b70acd62f76b8970320</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_SEG_ERROR_TYPE_LOADING_MODULE</name>
      <anchorfile>group__seg__api.html</anchorfile>
      <anchor>ggaa29c1cfa33861c949e2dc997cd6dc810a7c0e47d4b55ccc50cf17835cdd78cbbb</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_SEG_ERROR_TYPE_NULL</name>
      <anchorfile>group__seg__api.html</anchorfile>
      <anchor>ggaa29c1cfa33861c949e2dc997cd6dc810ad7fb6af0c7d525f25e9059bb17623fb3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_SEG_ERROR_TYPE_ALREADY_SET</name>
      <anchorfile>group__seg__api.html</anchorfile>
      <anchor>ggaa29c1cfa33861c949e2dc997cd6dc810a6e15f7acfd057d6dd51645ccfd4f3ae2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_SEG_ERROR_TYPE_INVALID_MODULE</name>
      <anchorfile>group__seg__api.html</anchorfile>
      <anchor>ggaa29c1cfa33861c949e2dc997cd6dc810a181db7ccb5306e14c34bf7eff0bc459f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_SEG_ERROR_TYPE_INVALID_FORMAT</name>
      <anchorfile>group__seg__api.html</anchorfile>
      <anchor>ggaa29c1cfa33861c949e2dc997cd6dc810ab68b22a908c4aeff7e8436bfff39be0b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_SEG_ERROR_TYPE_OUT_OF_MEMORY</name>
      <anchorfile>group__seg__api.html</anchorfile>
      <anchor>ggaa29c1cfa33861c949e2dc997cd6dc810a6bdccb8e7b619b70acd62f76b8970320</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_SEG_ERROR_TYPE_LOADING_MODULE</name>
      <anchorfile>group__seg__api.html</anchorfile>
      <anchor>ggaa29c1cfa33861c949e2dc997cd6dc810a7c0e47d4b55ccc50cf17835cdd78cbbb</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_scheduler_event</name>
      <anchorfile>group__seg__api.html</anchorfile>
      <anchor>ga0cc2761894b44cdfd0ea237847248930</anchor>
      <arglist>(const char *format,...)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_scheduler_event_pending</name>
      <anchorfile>group__seg__api.html</anchorfile>
      <anchor>gaec7e2bf248ef2e149d344dcd427e1f44</anchor>
      <arglist>(time_t timestamp, const char *jobid)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_scheduler_event_active</name>
      <anchorfile>group__seg__api.html</anchorfile>
      <anchor>gadbc82d3dc051291718bb67cf348cdc3d</anchor>
      <arglist>(time_t timestamp, const char *jobid)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_scheduler_event_failed</name>
      <anchorfile>group__seg__api.html</anchorfile>
      <anchor>ga4690bf8649c0e5e6a2bba5f557f01030</anchor>
      <arglist>(time_t timestamp, const char *jobid, int failure_code)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_scheduler_event_done</name>
      <anchorfile>group__seg__api.html</anchorfile>
      <anchor>gad47c2e6c20ef7409f1a30da129c35be6</anchor>
      <arglist>(time_t timestamp, const char *jobid, int exit_code)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_scheduler_event_generator_get_timestamp</name>
      <anchorfile>group__seg__api.html</anchorfile>
      <anchor>ga961078a3a990cc0f0fa23f814e170f82</anchor>
      <arglist>(time_t *timestamp)</arglist>
    </member>
  </compound>
  <compound kind="page">
    <name>index</name>
    <title>Globus Scheduler Event Generator</title>
    <filename>index</filename>
  </compound>
</tagfile>
